<script setup>
import { store, closeCustom, setupSearch, saveCustom } from '@/store.js';
import { usePage } from '@inertiajs/vue3';
import draggable from "vuedraggable";
const page = usePage();
const types = {
    custom: {
        name: 'Доп. оборудование',
        pad: 'доп. оборудование',
        link: 'customs',
    },
};
</script>

<template>
    <div class="pop" stype="z-index: 9" :class="{ '_active': store.popups.custom.active > 0 }">
        <div class="popback" @click="closeCustom()">

        </div>
        <template v-if="store.popups.custom.active > 1">
            <div class="container">
                <div class="pop__content wrap">
                    <div class="pop__name">
                        <div class="pop__title">
                            {{ store.popups.custom.action == 'add' ? 'Добавить' :
        'Изменить' }} доп. оборудование
                        </div>
                        <div class="pop__buttons">
                            <div class="pop__button pop__save" @click="saveCustom()">
                                <svg xmlns="http://www.w3.org/2000/svg" width="18px" height="18px" viewBox="0 0 24 24"
                                    fill="none">
                                    <path fill-rule="evenodd" clip-rule="evenodd"
                                        d="M18.1716 1C18.702 1 19.2107 1.21071 19.5858 1.58579L22.4142 4.41421C22.7893 4.78929 23 5.29799 23 5.82843V20C23 21.6569 21.6569 23 20 23H4C2.34315 23 1 21.6569 1 20V4C1 2.34315 2.34315 1 4 1H18.1716ZM4 3C3.44772 3 3 3.44772 3 4V20C3 20.5523 3.44772 21 4 21L5 21L5 15C5 13.3431 6.34315 12 8 12L16 12C17.6569 12 19 13.3431 19 15V21H20C20.5523 21 21 20.5523 21 20V6.82843C21 6.29799 20.7893 5.78929 20.4142 5.41421L18.5858 3.58579C18.2107 3.21071 17.702 3 17.1716 3H17V5C17 6.65685 15.6569 8 14 8H10C8.34315 8 7 6.65685 7 5V3H4ZM17 21V15C17 14.4477 16.5523 14 16 14L8 14C7.44772 14 7 14.4477 7 15L7 21L17 21ZM9 3H15V5C15 5.55228 14.5523 6 14 6H10C9.44772 6 9 5.55228 9 5V3Z"
                                        fill="#FFFFFF" />
                                </svg>
                            </div>
                            <div class="pop__button pop__close" @click="closeCustom()">
                                <svg xmlns="http://www.w3.org/2000/svg" width="800px" height="800px" viewBox="0 0 24 24"
                                    fill="none">
                                    <path
                                        d="M20.7457 3.32851C20.3552 2.93798 19.722 2.93798 19.3315 3.32851L12.0371 10.6229L4.74275 3.32851C4.35223 2.93798 3.71906 2.93798 3.32854 3.32851C2.93801 3.71903 2.93801 4.3522 3.32854 4.74272L10.6229 12.0371L3.32856 19.3314C2.93803 19.722 2.93803 20.3551 3.32856 20.7457C3.71908 21.1362 4.35225 21.1362 4.74277 20.7457L12.0371 13.4513L19.3315 20.7457C19.722 21.1362 20.3552 21.1362 20.7457 20.7457C21.1362 20.3551 21.1362 19.722 20.7457 19.3315L13.4513 12.0371L20.7457 4.74272C21.1362 4.3522 21.1362 3.71903 20.7457 3.32851Z"
                                        fill="#FFFFFF" />
                                </svg>
                            </div>
                        </div>
                    </div>
                    <div class="pop__actual">
                        <form @submit.prevent="">
                            <div class="form__wrap">
                                <div class="form__row">
                                    <div class="form__block">
                                        <label class="form__label" for="name">Наименование</label>
                                        <input type="text" class="form__input" name="name"
                                            v-model="store.popups.custom.info.name">
                                    </div>
                                    <div class="form__block">
                                        <label class="form__label" for="article">Артикул</label>
                                        <input type="text" class="form__input" name="article"
                                            v-model="store.popups.custom.info.article">
                                    </div>
                                </div>
                                <div class="form__row">
                                    <div class="form__block">
                                        <label for="material_id" class="form__label">Материал</label>
                                        <select name="material_id" required v-model="store.popups.custom.info.material_id"
                                            class="form__input">
                                            <option value="0" disabled>Выберите материал</option>
                                            <template v-for="item in page['props']['materials']">
                                                <option :value="item.id">{{ item.short_name }}</option>
                                            </template>
                                        </select>
                                    </div>
                                    <div class="form__block">
                                        <label for="measure_unit_id" class="form__label">Единица
                                            измерения</label>
                                        <select name="measure_unit_id" required
                                            v-model="store.popups.custom.info.measure_unit_id" class="form__input">
                                            <option value="0" disabled>Выберите материал</option>
                                            <template v-for="item in page['props']['measure_units']">
                                                <option :value="item.id">{{ item.short_name }}</option>
                                            </template>
                                        </select>
                                    </div>
                                </div>
                                <div class="form__row">
                                    <div class="form__block">
                                        <label class="form__label" for="weight">Вес</label>
                                        <input type="number" class="form__input" name="weight"
                                            v-model="store.popups.custom.info.weight">
                                    </div>
                                    <div class="form__block">
                                        <label class="form__label" for="price_per_unit">Цена</label>
                                        <input type="number" class="form__input" name="price_per_unit"
                                            v-model="store.popups.custom.info.price_per_unit">
                                    </div>
                                </div>
                                <div class="form__block">
                                    <label class="form__label" for="comment">Комментарий</label>
                                    <input type="text" class="form__input" name="comment"
                                        v-model="store.popups.custom.info.comment">
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </template>
    </div>
</template>
<style></style>
